Package net.shibboleth.idp.profile.interceptor.impl

# Class ProfileInterceptorFlowDescriptorManager

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.spring.config.IdentifiedComponentManager<ProfileInterceptorFlowDescriptor>
net.shibboleth.idp.profile.interceptor.impl.ProfileInterceptorFlowDescriptorManager

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`

public class ProfileInterceptorFlowDescriptorManager extends IdentifiedComponentManager<ProfileInterceptorFlowDescriptor>
Manager of `ProfileInterceptorFlowDescriptor` objects.

Since:
  4.1.0

## Constructor Summary

Constructors
Constructor
Description
`ProfileInterceptorFlowDescriptorManager(Collection<ProfileInterceptorFlowDescriptor> freeObjects)`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.shared.spring.config.IdentifiedComponentManager

`getComponents, setComponents`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProfileInterceptorFlowDescriptorManager

@Autowired public ProfileInterceptorFlowDescriptorManager(@Nullable Collection<ProfileInterceptorFlowDescriptor> freeObjects)
Constructor.

Parameters:
  `freeObjects` - free-standing objects to add